Subject: Re: 28.0.50; when building emacs 28.0.50 ./temacs is stopped with core

From: Angelo Graziosi <[email-masked]>
Date: Fri, 4 Sep 2020 01:17:33 +0200 (CEST)

> Il 03/09/2020 21:17 Paul Eggert  ha scritto:
> 
>  
> Thanks for isolating the commit that caused the problem. I can't easily debug it 
> on macOS, so I reverted the commit and its dependents. This should fix your 
> problem, whatever it is.

I am afraid but both master and your revert commit fails to build in the same manner on macOS 10.13.6.

For sanity check, I tried another build of 2ff930d861b772466b9f6b95d1776696298f3e0b, which fails to build, and 7605060d51bbce88307c09bd2e9be60f2750ee3d which builds fine.

As source I respectively used 

https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-2ff930d861b772466b9f6b95d1776696298f3e0b.tar.gz

https://git.savannah.gnu.org/cgit/emacs.git/snapshot/emacs-7605060d51bbce88307c09bd2e9be60f2750ee3d.tar.gz

Maybe c47be1b8440883b07b6cf918235a13b65e3d7be6 does not revert exactly the code or it is the wrong revert...

Angelo